Bug 1120026 - [abrt] subdownloader: SDService.py:72:__call__:gaierror: [Errno -2] Name or service not known
Summary: [abrt] subdownloader: SDService.py:72:__call__:gaierror: [Errno -2] Name or s...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: subdownloader
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:358fa45f32fac736cc8e2e1a423...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 05:43 UTC by das
Modified: 2015-06-29 21:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:36:43 UTC


Attachments (Terms of Use)
File: backtrace (1003 bytes, text/plain)
2014-07-16 05:44 UTC, das
no flags Details
File: environ (1.55 KB, text/plain)
2014-07-16 05:44 UTC, das
no flags Details

Description das 2014-07-16 05:43:57 UTC
Version-Release number of selected component:
subdownloader-2.0.18-3.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        python /usr/bin/subdownloader '/mnt/d/Torrents/Hard to be a god.avi'
executable:     /usr/bin/subdownloader
kernel:         3.15.4-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
SDService.py:72:__call__:gaierror: [Errno -2] Name or service not known

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/subdownloader/gui/main.py", line 921, in onButtonSearchSelectVideos
    self.SearchVideos(fileNames)
  File "/usr/lib/python2.7/site-packages/subdownloader/gui/main.py", line 826, in SearchVideos
    videoSearchResults = self.OSDBServer.SearchSubtitles("",videos_piece)
  File "/usr/lib/python2.7/site-packages/subdownloader/modules/SDService.py", line 426, in SearchSubtitles
    return SearchSubtitles (language, videos, imdb_ids)
  File "/usr/lib/python2.7/site-packages/subdownloader/modules/SDService.py", line 72, in __call__
    raise e
gaierror: [Errno -2] Name or service not known

Local variables in innermost frame:
self: <modules.SDService.TimeoutFunction instance at 0x1f5c368>
args: ('', [<modules.videofile.VideoFile object at 0x1f46cd0>], None)
e: gaierror(-2, 'Name or service not known')
t: <_Timer(Thread-3, stopped 140411862800128)>

Potential duplicate: bug 896353

Comment 1 das 2014-07-16 05:44:06 UTC
Created attachment 918316 [details]
File: backtrace

Comment 2 das 2014-07-16 05:44:10 UTC
Created attachment 918317 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 12:23:06 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:36:43 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.